/*
 * Diff.h
 *
 *  Created on: Apr 1, 2013
 *      Author: honza
 */

#ifndef DIFF_H_
#define DIFF_H_

#include <ostream>

#include <automaton/UnknownAutomaton.h>
#include <map>
#include <utility>

class Diff {
	static bool testDiff(const automaton::UnknownAutomaton& a, const automaton::UnknownAutomaton& b);
	static void printDiff(const automaton::UnknownAutomaton& a, const automaton::UnknownAutomaton& b);

	template <class T> static void setDiff(const std::set<T> a, const std::set<T> b);
	template <class T> static void listDiff(const std::list<T> a, const std::list<T> b);
public:
	static void diff(const automaton::UnknownAutomaton& a, const automaton::UnknownAutomaton& b);
};

#endif /* DOTCONVERTER_H_ */
