/*
 * AutomatonException.h
 *
 *  Created on: Apr 1, 2013
 *      Author: Martin Zak
 */

#ifndef AUTOMATONEXCEPTION_H_
#define AUTOMATONEXCEPTION_H_

#include "../../AlibException.h"

namespace automaton {

using namespace std;

/**
 * Exception thrown by an automaton, automaton parser or automaton printer.
 */
class AutomatonException: public alib::AlibException {
public:
	AutomatonException();
	AutomatonException(const string& cause);
	virtual ~AutomatonException() throw ();
};

} /* namespace automaton */
#endif /* AUTOMATONEXCEPTION_H_ */
