/*
 * UnknownGrammar.h
 *
 *  Created on: Nov 3, 2013
 *      Author: martin
 */

#ifndef UNKNOWNGRAMMAR_H_
#define UNKNOWNGRAMMAR_H_

#include "Grammar.h"

namespace grammar {

/**
 * Class representing unknown grammar which was parsed from the XML.
 */
class UnknownGrammar: public grammar::Grammar {
protected:
	/**
	 * Checks that symbols in the rule are terminal
	 * or nonterminal symbols of the grammar.
	 * @param rule Rule to check
	 * @return true when rule is valid, false otherwise
	 */
	bool isValidRule(const Rule& rule) const;
};

} /* namespace grammar */
#endif /* UNKNOWNGRAMMAR_H_ */
