/*
 * DotConverter.h
 *
 *  Created on: Apr 1, 2013
 *      Author: martin
 */

#ifndef DOTCONVERTER_H_
#define DOTCONVERTER_H_

#include<ostream>

#include <automaton/FSM/FSM.h>
#include <automaton/PDA/PDA.h>
#include <automaton/TM/TM.h>
#include <map>
#include <utility>

class DotConverter {
protected:
	static void transitions(const automaton::FSM& fsm, const std::map<automaton::State, int>& states, std::ostream& out);
	static void transitions(const automaton::PDA& pda, const std::map<automaton::State, int>& states, std::ostream& out);
	static void transitions(const automaton::TM& tm, const std::map<automaton::State, int>& states, std::ostream& out);
public:
	static void convert(const automaton::Automaton& a, std::ostream& out);
};

#endif /* DOTCONVERTER_H_ */
