/*
 * RegExpElement.h
 *
 *  Created on: Nov 23, 2013
 *      Author: martin
 */

#ifndef REGEXPELEMENT_H_
#define REGEXPELEMENT_H_

namespace regexp {

using namespace std;

/**
 * Abstract class representing element in the regular expression. Can be operator or symbol.
 */
class RegExpElement {
public:
	virtual ~RegExpElement();

	/**
	 * Creates copy of the element.
	 * @return copy of the element
	 */
	virtual RegExpElement* clone() const = 0;
};

} /* namespace regexp */
#endif /* REGEXPELEMENT_H_ */
