/*
 * RegExpSymbol.h
 *
 *  Created on: Nov 23, 2013
 *      Author: martin
 */

#ifndef REGEXPSYMBOL_H_
#define REGEXPSYMBOL_H_

#include <string>
#include "RegExpElement.h"
#include "../alphabet/Symbol.h"

namespace regexp {

using namespace std;
using namespace alphabet;

/**
 * Represents symbol in the regular expression. Contains name of the symbol.
 */
class RegExpSymbol: public RegExpElement, public Symbol {
public:
	RegExpSymbol();
	RegExpSymbol(const string& symbol);

	/**
	 * @copydoc RegExpElement::clone() const
	 */
	RegExpElement* clone() const;
};

} /* namespace regexp */
#endif /* REGEXPSYMBOL_H_ */
