/*
 * ParserException.h
 *
 *  Created on: Apr 16, 2013
 *      Author: martin
 */

#ifndef PARSEREXCEPTION_H_
#define PARSEREXCEPTION_H_

#include "../AlibException.h"
#include "Token.h"
#include <string.h>
namespace sax {

/**
 * Exception thrown by XML parser when is expected different tag than the one which is read.
 */
class ParserException: public alib::AlibException {
protected:
	Token expected;
	Token read;
public:
	ParserException(const Token& expected, const Token& read);
	~ParserException() throw ();
};

} /* namespace sax */
#endif /* PARSEREXCEPTION_H_ */
